#ifndef SAMBANEWSHAREDIALOG_H
#define SAMBANEWSHAREDIALOG_H

#include <gtkmm/dialog.h>
#include <gtkmm/table.h>
#include <gtkmm/label.h>
#include <gtkmm/entry.h>

#include <openwbem/OW_CIMObjectPath.hpp>
#include <openwbem/OW_CIMInstance.hpp>

class SambaNewShareDialog : public Gtk::Dialog
{
private:
	Gtk::Table table;
	Gtk::Label computer_label;
	Gtk::Label path_label;
	Gtk::Label name_label;
	Gtk::Label description_label;
	Gtk::Label computer_name;
	Gtk::Entry path_entry;
	Gtk::Entry name_entry;
	Gtk::Entry description_entry;
	OpenWBEM::CIMObjectPath samba_service_cop;

public:
	// CONSTRUCTOR
	SambaNewShareDialog(OpenWBEM::CIMObjectPath samba_service_cop);

	OpenWBEM::CIMInstance createInstanceObject();
};

#endif /* SAMBANEWSHAREDIALOG_H */
