// Copyright 2004 Jason Long

// This file is part of cimbrowser.
//
// Cimbrowser is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// Cimbrowser is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Cimbrowser; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef ASSOCIATORCLASSLIST_H
#define ASSOCIATORCLASSLIST_H

#include "ClassList.h"

class AssociatorClassList : public ClassList
{
public:
	AssociatorClassList();
	virtual void set_base_class(OpenWBEM::String className);
	virtual void set_associator_base_class(OpenWBEM::CIMObjectPath className);
};

#endif /* ASSOCIATORCLASSLIST_H */
